Push Notification API

get /notifications

List notifications

Base URL https://api.vseepreview.com/api_v3

Authentication: User Token — Requires a user access token from login or SSO.

Retrieve notifications for current user

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
sizequeryintegernoFetch size — how many records to return. Default: 10. (e.g. 10)
lastqueryintegernoUnix timestamp in milliseconds. Only fetch notifications before this time. Use the `mtime` field from previous responses for pagination. (e.g. 1460616964000)

Responses

200 — Successful response

Notifications

{
  "data": [
    {
      "id": "570f3f04-f1f4-4805-946e-178d50e631f8",
      "user_id": "201",
      "type": "foodlog.comment",
      "time": "1460616964",
      "mtime": 14606169641000,
      "is_new": false,
      "read": false,
      "title": "Johnathon Lavon commented on a photo",
      "image": "http://api.vsee.me/files/index/food/photo/1/250x250?auth_code=EXAMPLE_AUTH_CODE"
    }
  ]
}

Machine-readable: OpenAPI JSON